Bug 733903 - Can not access iLO3 PM from vdsClient
Summary: Can not access iLO3 PM from vdsClient
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dan Kenigsberg
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 642635
TreeView+ depends on / blocked
 
Reported: 2011-08-28 13:17 UTC by Eli Mesika
Modified: 2016-04-18 06:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-29 22:46:54 UTC


Attachments (Terms of Use)

Description Eli Mesika 2011-08-28 13:17:41 UTC
Description of problem:

Running the following command directly against fence_ipmilan succeeded :
/usr/sbin/fence_ipmilan -a modi04-mgmt.eng.lab.tlv.redhat.com -l XXX  -p YYY -o status -T 4 -P
Getting status of IPMI:modi04-mgmt.eng.lab.tlv.redhat.com...Chassis power = On
Done

But running the same command from vdsClient fails:

vdsClient 0  fenceNode modi04-mgmt.eng.lab.tlv.redhat.com "" ipmilan XXX YYY status "false" "P\nT=4"

unknown


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Run status directly against an iLO3 machine using /usr/sbin/fence_ipmilan
2.Run status with the same parameters via vdsClient
3.
  
Actual results:
Running command directly succeeded while running with vdsClient fails

Expected results:
vdsClient should succeed to run the command

Additional info:
Please note that XXX is masked user login and YYY is masked password.
Please contact me to get the actual connection info for that machine if you want to use it.


vdsm log on command :
---------------------

Thread-22077::DEBUG::2011-08-28 17:10:19,275::clientIF::1180::vds::(fenceNode) fenceNode(addr=modi04-mgmt.eng.lab.tlv.redhat.com,port=,agent=ipmilan,user=root,passwd=XXXX,action=status,secure=false,options=P\nT=4)
Thread-22077::DEBUG::2011-08-28 17:10:20,329::clientIF::1206::vds::(fenceNode) rc 1 in agent=fence_ipmilan
ipaddr=modi04-mgmt.eng.lab.tlv.redhat.com
login=root
option=status
passwd=XXXX
P\nT=4 out Getting status of IPMI:modi04-mgmt.eng.lab.tlv.redhat.com...Chassis power = Unknown
Failed
 err

Comment 2 Dan Kenigsberg 2011-08-29 22:46:54 UTC
you must use the full-length names for options when you pass them (via vdsm) to fence_*'s stdin.

-P => lanplus
-T 4 => timeout=4


Note You need to log in before you can comment on or make changes to this bug.